RISTRECEIVER(1)

NAME
ristreceiver - receive a stream via RIST

SYNOPSIS
ristreceiver [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

ristreceiver receives a RIST stream and relays the contents to an UDP or RTP stream.

OPTIONS

-i | --inputurl rist://...
    Mandatory Option: Comma separated list of input rist URLs

-o | --outputurl udp://... or rtp://...
    Mandatory Option: Comma separated list of output udp or rtp URLs

-b | --buffer value
    Default buffer size for packet retransmissions

-s | --secret PWD
    Default pre-shared encryption secret

-e | --encryption-type TYPE
    Default Encryption type (0, 128 = AES-128, 256 = AES-256)|

-p | --profile number
    Rist profile (0 = simple, 1 = main, 2 = advanced)

-S | --statsinterval value (ms)
    Interval at which stats get printed, 0 to disable

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-F | --srpfile filepath
    When in listening mode, use this file to hold the list of usernames and passwords to validate against. Use the ristsrppasswd tool to create the line entries.

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--profile 1

--statsinterval 1000

--verbose-level 6

SEE ALSO
ristsender(1), ristsrppasswd(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).